/* ------------------------------------------------------------ *\
	Slider
\* ------------------------------------------------------------ */

.slider {
	.slick-dots {
		button {
			outline: 0;
		}
	}
}

/* ------------------------------------------------------------ *\
	Slider intro
\* ------------------------------------------------------------ */

.slider--intro {
	.slick-arrow {
		display: none !important;
	}

	.slick-dots {
		position: absolute;
		bottom: 41px;
		left: 50%;
		transform: translateX(-50%);
		display: flex;
		align-items: center;
		list-style-type: none;

		li + li {
			margin-left: 19px;
		}

		button {
			font-size: 0;
			border: 0;
			border-radius: 50%;
			display: inline-block;
			width: 8px;
			height: 8px;
			background-color: #ffffff;
			transition: width .2s, height .2s;
		}

		.slick-active {
			button {
				width: 12px;
				height: 12px;
			}
		}
	}

	@media #{$mobile} {
		.slick-dots {
			bottom: 38px;
		}
	}
}

/* ------------------------------------------------------------ *\
	Slider primary
\* ------------------------------------------------------------ */

.slider--primary {
	.slick-dots {
		display: flex;
		align-items: center;
		list-style-type: none;
		background: #fff;
		z-index: 15;

		li {
			background: #fff;
			padding: 0 11px;
		}

		button {
			font-size: 0;
			border: 0;
			border-radius: 50%;
			display: inline-block;
			width: 8px;
			height: 8px;
			border: 2px solid #000000;
			background-color: transparent;
			transition: background .4s;
		}

		.slick-active {
			button {
				background-color: #000000;
			}
		}
	}
}

/* ------------------------------------------------------------ *\
	Slider products
\* ------------------------------------------------------------ */

.slider--products {
	padding-left: 98px;

	.slider__slides {
		margin-right: -30px;
	}

	.slick-slide {
		margin-right: 30px;
	}

	.slick-arrow {
		display: none !important;
	}

	.slick-dots {
		position: absolute;
		top: 90px;
		right: calc(100% + 78px);
		transform: rotate(-90deg);
		transform-origin: right top;
		background: transparent;
	}

	@media #{$mobile} {
		padding-left: 0;

		.slick-dots {
			top: -56px;
			right: 26px;
			transform: rotate(0deg);

			li {
				padding: 0 5px;
			}
		}
	}
}

/* ------------------------------------------------------------ *\
	Slider images
\* ------------------------------------------------------------ */

.slider--images {
	position: relative;
	padding-left: 90px;

	.slider__slide {
		display: block;
		background-color: #f6f6f6;
		height: 775px;
	}

	.slider__slide-image {
		padding: 30px 20px 10px 12px;
		height: 100%;
		display: flex;
		align-items: center;
		justify-content: center;
	}

	.slider__nav {
		max-width: 73px;
		position: absolute;
		top: 0;
		left: 0;

		ul {
			list-style-type: none;
		}

		li + li {
			margin-top: 29px;
		}

		a {
			padding: 10px 13px;
			display: flex;
			align-items: center;
			justify-content: center;
			width: 73px;
			height: 105px;
			text-align: center;
			line-height: 105px;
			opacity: .5;
			background-color: #f6f6f6;
			border: 1px solid transparent;
			transition: border-color .1s, opacity .1s;
		}

		img {
			display: block;
			width: 100%;
			max-width: 100%;
		}

		.current {
			a {
				opacity: 1;
				border-color: #cccccc;
			}
		}
	}

	.slick-arrow {
		display: none !important;
	}

	@media #{$mobile} {
		padding-left: 0;

		.slider__slide-image {
			padding: 23px 55px 11px 48px;
		}

		.slick-dots {
			display: flex;
			align-items: center;
			list-style-type: none;
			justify-content: center;
			background: #fff;
			z-index: 15;
			background: #fff;
			margin-top: 16px;

			li {
				background: #fff;
				padding: 0 10px;
			}

			button {
				font-size: 0;
				border: 0;
				border-radius: 50%;
				display: inline-block;
				width: 8px;
				height: 8px;
				border: 2px solid #000000;
				background-color: transparent;
				transition: background .4s;
			}

			.slick-active {
				button {
					background-color: #000000;
				}
			}
		}

		.slider__nav {
			display: none;
		}

		.slider__slide {
			height: 436px;
		}
	}
}

/* ------------------------------------------------------------ *\
	Slider products secondary
\* ------------------------------------------------------------ */

.slider--products-secondary {
	@media(min-width: 1025px) {
		.slider__slides{
			display: flex;
			justify-content: space-between;
			flex-flow: row wrap;
			margin: 0 -7px;
		}

		.slider__slide {
			flex: 0 0 50%;
			max-width: 50%;
			padding: 0 7px;
			margin-bottom: 20px;
		}
	}

	@media #{$mobile} {
		.slick-slide {
			margin-right: 20px;
		}
	}
}

/* ------------------------------------------------------------ *\
	Slider images secondary
\* ------------------------------------------------------------ */

.slider--images-secondary {
	position: relative;
	padding-right: 10px;

	.slick-current {
		.slider__slide {
			opacity: 1;
		}
	}

	.slick-slide {
		margin-right: 8px;
	}

	.slider__slides {
		max-width: 352px;
	}

	.slider__slide {
		height: 61px;
		border: 3px solid #eeeeee;
		opacity: 0.5;
		transition: opacity .4s;
	}

	.slider__slide-image {
		height: 100%;
		display: flex;
		align-items: center;
		justify-content: center;
		padding: 2px 7px;

		img {
			width: 100%;
		}
	}

	.slick-prev {
		display: none !important;
	}

	.slick-next {
		font-size: 0;
		background: transparent;
		display: inline-block;
		width: 10px;
		height: 10px;
		transform: rotate(45deg);
		border: 0;
		border-right: 1px solid #000;
		border-top: 1px solid #000;
		transition: border-color .4s;
		position: absolute;
		top: 26px;
		right: -22px;
		outline: 0 !important;
	}

	@media(min-width: 1025px) {
		.slick-arrow {
			&:hover {
				border-color: #b31d1d;
			}
		}
	}

	@media #{$mobile} {
		.slider__slides {
			max-width: 285px;
		}

		.slider__slide-image {
			padding: 1px 6px 1px;
		}

		.slick-next {
			right: -16px;
		}
	}
}

/* ------------------------------------------------------------ *\
	Slider--products-tertiary
\* ------------------------------------------------------------ */

.slider--products-tertiary {
	position: relative;
	padding-top: 57px;

	.slider__slides {
		margin-right: -20px;
	}

	.slick-arrow {
		display: none !important;
	}

	.slick-slide {
		margin-right: 20px;
	}

	.slick-dots {
		position: absolute;
	   	left: 200px;
		top: -60px;
		padding: 0 16px;
	}

	.title {
		position: absolute;
		top: 0; left: 0;
		width: 100%;

		h4 {
			letter-spacing: 0.05em;
		}
	}
}

/* ------------------------------------------------------------ *\
	Slider socials
\* ------------------------------------------------------------ */

.slider--socials {
	.slick-arrow {
		display: none !important;
	}

	.slick-dots {
		margin: 8px 0 0;
		justify-content: center;

		li {
			padding: 0 5px;
		}
	}

	.image--secondary {
		height: 287px;
	}
}

/* ------------------------------------------------------------ *\
	Slider products secondary
\* ------------------------------------------------------------ */

.slider--products-secondary {
	.slick-arrow {
		display: none !important;
	}

	.slick-dots {
		position: absolute;
	   	left: 0px;
		top: -45px;
		display: flex;
		align-items: center;
		list-style-type: none;
		background: #fff;
		z-index: 15;
		background: #fff;
		margin: 0 -6px;

		li {
			background: #fff;
			padding: 0 6px;
		}

		button {
			font-size: 0;
			border: 0;
			border-radius: 50%;
			display: inline-block;
			width: 8px;
			height: 8px;
			border: 2px solid #000000;
			background-color: transparent;
			transition: background .4s;
		}

		.slick-active {
			button {
				background-color: #000000;
			}
		}
	}

	@media #{$mobile} {
		.product--secondary {
			.product__content {
				visibility: visible;
				opacity: 1;
				border: 0;
			}
		}
	}
}

/* ------------------------------------------------------------ *\
	Slider colors
\* ------------------------------------------------------------ */

.slider--colors {
	.slider__slides {
		max-width: 268px;
	}

	.slider__slide {
		margin-bottom: 20px;
	}

	.slick-prev {
		display: none !important;
	}

	.slick-next {
		font-size: 0;
		background: transparent;
		display: inline-block;
		width: 10px;
		height: 10px;
		transform: rotate(45deg);
		border: 0;
		border-right: 1px solid #000;
		border-top: 1px solid #000;
		transition: border-color .4s;
		position: absolute;
		top: 12px;
		right: -18px;
		outline: 0 !important;
	}

	@media(min-width: 1025px) {
		.slider__slides {
			display: flex;
			justify-content: space-between;
			flex-flow: row wrap;
			margin: 0 -2px;
		}

		.slider__slide {
			margin-bottom: 0;
			padding: 0 2px;
		}
	}
}
